uuid: d4d20125-72b4-4c8a-add4-056c3ff97dc8
langcode: en
status: true
dependencies:
  enforced:
    module:
      - rg_import
id: rgp_cooker_60_field_storage
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags: null
migration_group: cooker_60
label: 'Import fields storage'
source:
  plugin: url
  data_fetcher_plugin: http
  data_parser_plugin: json
  urls: 'http://akeneoce.hicmedia.com/customapi/api/en/V1/GetRMCookers60Attributes'
  item_selector: data
  track_changes: true
  authentication:
    plugin: oauth2
    grant_type: client_credentials
    base_uri: 'http://akeneoce.hicmedia.com'
    token_url: /customapi/api/en/v2/GetToken
    client_id: agawebsite
    client_secret: 'Sd[eW_d;YNN7'
  fields:
    -
      name: code
      label: 'Machine name'
      selector: code
    -
      name: label
      label: Name
      selector: label
    -
      name: type
      label: Type
      selector: type
    -
      name: group_id
      label: Group
      selector: group_id
  ids:
    code:
      type: string
  constants:
    entity_type: commerce_product_variation
    id: commerce_product.
    cardinality: 1
    langcode: en
    translatable: true
    field: field_
process:
  entity_type: constants/entity_type
  machine_code:
    -
      plugin: machine_name
      source: code
    -
      plugin: substr
      start: 0
      length: 32
  id:
    plugin: concat
    source:
      - constants/id
      - '@machine_code'
  field_name:
    -
      plugin: skip_on_value
      source: code
      method: row
      value:
        - sku
        - title
        - Price
    -
      plugin: default_value
      source: '@machine_code'
  type:
    plugin: str_replace
    source: type
    search:
      - pim_catalog_textarea
      - pim_catalog_date
      - pim_catalog_simpleselect
      - pim_catalog_text
      - pim_catalog_boolean
      - pim_catalog_file
      - pim_catalog_identifier
      - pim_catalog_image
      - pim_catalog_number
      - pim_catalog_price_collection
    replace:
      - text_long
      - datetime
      - string
      - string
      - boolean
      - file
      - string
      - image
      - decimal
      - decimal
  cardinality: constants/cardinality
  settings:
    plugin: custom_field_settings
    source: type
  langcode: constants/langcode
  translatable: constants/translatable
destination:
  plugin: 'entity:field_storage_config'
migration_dependencies: null
